Skip to main content
GET
/
v1
/
notifications
/
webhooks
List webhook endpoints
curl --request GET \
  --url https://api.paystack.com/v1/notifications/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "status": true,
  "message": "Webhook endpoints retrieved",
  "code": "ok",
  "data": [
    {
      "id": "whr_01HXYZABC1234567890ABCDEFG",
      "url": "https://merchant.example.com/webhooks",
      "event_categories": [
        "onramp",
        "conversion"
      ],
      "active": false,
      "created_at": "2026-05-26T12:00:00.000Z",
      "updated_at": "2026-05-26T12:00:00.000Z"
    }
  ],
  "meta": {
    "request_id": "req_01HXYZ4K5ABCDEFGHJKLMNPQRS",
    "timestamp": "2026-05-14T15:43:55.732Z",
    "version": "1"
  }
}

Authorizations

Authorization
string
header
required

API key issued during merchant onboarding.

Response

Webhook endpoints retrieved

status
enum<boolean>
required
Available options:
true
Example:

true

message
string
required

Human-readable summary

Example:

"Webhook endpoints retrieved"

code
enum<string>
required
Available options:
ok
Example:

"ok"

data
object[]
required
meta
object
required